
QGIS Application - Bug report #16612

QGIS crashes when adding PostGIS layers from Browser panel

2017-05-24 02:16 PM - Ross McDonald

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:2.18.8 Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24512

Description

Using latest QGIS 2.18.8 (cde1d78) x64 version on Windows 7 x64 I can cause a crash and minidump by trying to add PostGIS layers

from the Browser panel.  Adding the same layers in the same way with 2.14.15 works fine.

Related issues:

Duplicates QGIS Application - Bug report # 16593: Segmentation fault when imp... Closed 2017-05-22

History

#1 - 2017-05-24 02:17 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

this was already fixed, wait a new build (2.18.9, probably soon), downgrade or use the classic "add postgis layer" dialog.

#2 - 2017-05-26 01:46 PM - Jürgen Fischer

- Duplicates Bug report #16593: Segmentation fault when importing CSV file with coordinates added
